Subject: Re: [bug#43261] [PATCH 2/2] lint: Add '--no-checkers' option.

From: zimoun <[email-masked]>
Date: Wed, 28 Oct 2020 17:58:45 +0100

Hi,

Thank you for the review.  All the comments are included in v2.

On Wed, 28 Oct 2020 at 16:18, Ludovic Courtès <[email-masked]> wrote:

> Use ‘match’ instead of ‘cadr’, or maybe make it a parameter of this
> procedure?

Well, it is a matter of taste. :-)  Just to be sure, that’s the point:

--8<---------------cut here---------------start------------->8---
scheme@(guile-user)> ,use(ice-9 match)
scheme@(guile-user)> (define foo '(hello world))
scheme@(guile-user)> (cadr foo)
$2 = world
scheme@(guile-user)> (match foo ((hi all) all))
$3 = world
--8<---------------cut here---------------end--------------->8---

right?

Cheers,
simon